<?php
/**
 * Functions and definitions
 *
 * @package Reach
 */

use Reach\App\Core\Init;
use Reach_Service_Out_Slow\App\Scripts;
use Reach_Service_Out_Slow\App\Fields\Groups\FieldGroupServices;
use Reach_Service_Out_Slow\App\Theme\ThemeStyles;

/**
 * Theme Setup
 */
add_action( 'after_setup_theme', function () {
    ( new Init() )
        ->add( new Scripts() )
        ->add( new FieldGroupServices() )
        ->add( new ThemeStyles() )
        ->initialize();
} );
